
#ifndef PLS_THREAD_STATE_H
#define PLS_THREAD_STATE_H

#include "abstract_task.h"

namespace pls {
    namespace internal {
        namespace scheduling {
            // forward declaration
            class scheduler;

            struct thread_state {
                thread_state(): scheduler_{nullptr}, root_task_{nullptr} {};
                explicit thread_state(scheduler* scheduler): scheduler_{scheduler}, root_task_{nullptr} {}

                scheduler* scheduler_;
                abstract_task* root_task_;
            };
        }
    }
}

#endif //PLS_THREAD_STATE_H
